curl --request GET \
--url {schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/observability/profiles/{uuid}/timeline \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/observability/profiles/{uuid}/timeline"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/observability/profiles/{uuid}/timeline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_project_id": "abc123def456",
"_environment_id": "main",
"_branch_machine_name": "main-bvxea6i",
"_agent": "a38f69ca-3b56-4ea6-beac-272b2568164a",
"_uuid": "4b5266a2-fd71-468b-bf05-87b342079cbf",
"timeline": {},
"dimension": "wt",
"time": 4329972,
"language": "php"
}Get profile timeline data
Returns timeline visualization data for a Blackfire profile, showing the execution flow over time.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the Upsun project
[a-z0-9]+"abc123def456"
The environment identifier
.+"main"
The profile UUID
[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}"4b5266a2-fd71-468b-bf05-87b342079cbf"
Response
Timeline data retrieved successfully
Project identifier
"abc123def456"
Environment identifier
"main"
Branch machine name
"main-bvxea6i"
Blackfire Agent UUID
"a38f69ca-3b56-4ea6-beac-272b2568164a"
Profile UUID
"4b5266a2-fd71-468b-bf05-87b342079cbf"
Timeline event data including stack frames, memory graph, labels, markers, spans, and hierarchy
Active timeline dimension
"wt"
Total time for the active dimension in microseconds
4329972
Profiled application language
php, python "php"
Was this page helpful?